Lunarpages Web Hosting Forum

Scripting Languages Hosting Help => Ruby Hosting Support => Topic started by: storycrafter on December 12, 2010, 01:22:54 PM

Title: Timeline for Rails 3 support?
Post by: storycrafter on December 12, 2010, 01:22:54 PM
Is there any timeline for Rails 3 support?  I'm currently heavily invested in a rails application, and trying to maintain it in 2.3 rails format is becoming very difficult -- many of the support gems I need are requiring newer versions of activesupport, for instance.  I'd like to stay with LP for my hosting needs, but I'm getting a sense RoR isn't one of LP's strong suits.  Is there a chance any servers are getting upgraded any time soon?
Title: Re: Timeline for Rails 3 support?
Post by: storycrafter on December 17, 2010, 01:01:41 PM
Looks like within the deafening silence I got my answer.
Title: Re: Timeline for Rails 3 support?
Post by: polic15 on February 26, 2011, 05:53:02 PM
Hi, was wondering what you ended up doing about Rails 3?  I was thinking of just upgrading to Rails 3 / Ruby 1.9.2 on my own with my VPS account.  Might be more trouble than it's worth though so I'm curious to get an idea of how you moved forward here?
Title: Re: Timeline for Rails 3 support?
Post by: storycrafter on March 11, 2011, 02:05:25 PM
I'm still mid-project, so I don't have much to report.  For my internal development platform, I've gone to Rails 3, and for hosting, I plan on going with another provider that's more RoR savvy.  Truth be told, I'll probably end up with a VPS solution.

Best of luck with your project.
Title: Re: Timeline for Rails 3 support?
Post by: zaminur143 on March 16, 2011, 08:59:57 PM
Is there any timeline for Rails 3 support?  I'm currently heavily invested in a rails application, and trying to maintain it in 2.3 rails format is becoming very difficult -- many of the support gems I need are requiring newer versions of activesupport, for instance.  I'd like to stay with LP for my hosting needs, but I'm getting a sense RoR isn't one of LP's strong suits.  Is there a chance any servers are getting upgraded any time soon?
ohh yeah, to maintain 2.3 rails format is really  difficult, I can understand this. I'm also facing some troubles with it.